Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::pageeditor::FindOption Class Reference

Inherits Object.

## Public Member Functions
| FindOption ()
| Constructor.
| FindOption (bool is_whole_word, bool is_case_sensitive)
| Constructor, with parameters. More...
| FindOption (const FindOption &find_option)
| Constructor, with another find option object. More...
bool | operator!= (const FindOption &other) const
| Not equal operator. More...
FindOption & | operator= (const FindOption &find_option)
| Assign operator. More...
bool | operator== (const FindOption &other) const
| Equal operator. More...
void | Set (bool is_whole_word, bool is_case_sensitive)
| Set value. More...

## Public Attributes
bool | is_case_sensitive
| A boolean value specifies that whether to match case.true means to match case, otherwise no.
bool | is_whole_word
| A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.

## Detailed Description

This class represents the find option which is used by TextSearchReplace objects.

## Constructor & Destructor Documentation

## ◆ FindOption() [1/2]

foxit::addon::pageeditor::FindOption::FindOption | ( | bool | is_whole_word,
|  | bool | is_case_sensitive
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only.true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

## ◆ FindOption() [2/2]

foxit::addon::pageeditor::FindOption::FindOption | ( | const FindOption & | find_option | ) |
| inline

Constructor, with another find option object.

Parameters

  [in] | find_option | Another find option object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::pageeditor::FindOption::operator!= | ( | const FindOption & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another find-option object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

FindOption& foxit::addon::pageeditor::FindOption::operator= | ( | const FindOption & | find_option | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another find option object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::pageeditor::FindOption::operator== | ( | const FindOption & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another find-option object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::addon::pageeditor::FindOption::Set | ( | bool | is_whole_word,
|  | bool | is_case_sensitive
| ) |  |
| inline

Set value.

Parameters

  [in] | is_whole_word | A boolean value specifies that whether to match whole words only. true means to match whole words only, otherwise no.
  [in] | is_case_sensitive | A boolean value specifies that whether to match case.true means to match case, otherwise no.

Returns
  None.